package com.steering.pss.qcm.model;

/**
 * 标准号附加要求表 实体类
 * 
 * @author Administrator PDY 2015/01/20
 */
public class BaseAdditionalObject {
	/**
	 * 标准代码
	 */
	private String stdCode;
	/**
	 * 标准名称
	 */
	private String stdName;
	/**
	 * 附加要求项代码(sortcode=1210)
	 */
	private String askItme;
	/**
	 * 附加要求项名称
	 */
	private String askItmeDesc;
	/**
	 * 附加要求分项
	 */
	private String askSubItme;
	/**
	 * 附加要求分项值
	 */
	private String askSubItmeDesc;
	/**
	 * 详细说明
	 */
	private String askSubItmeVal;
	/**
	 * 详细说明值
	 */
	private String askSubItmeValDesc;
	/**
	 * 贴图
	 */
	private String pic;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 删除人
	 */
	private String deleteName;
	/**
	 * 删除时间
	 */
	private String deleteTime;
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag;
	/**
	 * 备注
	 */
	private String memo;
	private String pk;

	public String getPk() {
		return pk;
	}

	public void setPk(String pk) {
		this.pk = pk;
	}

	public String getStdCode() {
		return stdCode;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public String getStdName() {
		return stdName;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public String getAskItme() {
		return askItme;
	}

	public void setAskItme(String askItme) {
		this.askItme = askItme;
	}

	public String getAskItmeDesc() {
		return askItmeDesc;
	}

	public void setAskItmeDesc(String askItmeDesc) {
		this.askItmeDesc = askItmeDesc;
	}

	public String getAskSubItme() {
		return askSubItme;
	}

	public void setAskSubItme(String askSubItme) {
		this.askSubItme = askSubItme;
	}

	public String getAskSubItmeDesc() {
		return askSubItmeDesc;
	}

	public void setAskSubItmeDesc(String askSubItmeDesc) {
		this.askSubItmeDesc = askSubItmeDesc;
	}

	public String getAskSubItmeVal() {
		return askSubItmeVal;
	}

	public void setAskSubItmeVal(String askSubItmeVal) {
		this.askSubItmeVal = askSubItmeVal;
	}

	public String getAskSubItmeValDesc() {
		return askSubItmeValDesc;
	}

	public void setAskSubItmeValDesc(String askSubItmeValDesc) {
		this.askSubItmeValDesc = askSubItmeValDesc;
	}

	public String getPic() {
		return pic;
	}

	public void setPic(String pic) {
		this.pic = pic;
	}

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public String getDeleteName() {
		return deleteName;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public String getDeleteTime() {
		return deleteTime;
	}

	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	public String getValidflag() {
		return validflag;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

}
